Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Refresh an Authentication Token (API V2 only)

Request

Retrieves a new access token, token type, the refresh token, and expiration time.

Security
basic or X-PriceFx-jwt
Headers
Pricefx-Keystringrequired

The Pricefx API key. Contact Pricefx Support to get your Pricefx-Key.

Bodyapplication/json

Provide the referesh token.

refresh-tokenstring
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/token/refresh \
  -H 'Content-Type: application/json' \
  -H 'Pricefx-Key: string' \
  -d '{
    "refresh-token": "string"
  }'

Responses

Login was successful. The response contains the access token, token type and the refresh token.

Bodyapplication/json
access-tokenstringnon-emptyrequired
refresh-tokenstringnon-emptyrequired
token-typestringnon-emptyrequired
expires-innumberrequired
Response
application/json
{ "access-token": "string", "refresh-token": "string", "token-type": "string", "expires-in": 0 }

User Login (V1)

Request

Authenticates a user. When the user is authenticated, the logged-in user's details (including all roles and permissions) are returned in the response body.

CSRF check is not performed by this endpoint, because the user is authenticated using the basic HTTP auth.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
object
curl -i -X GET \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/login/extended \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "data": [], "status": 0 } }

Authenticate with SAML

Request

Redirects to the Identity Provider (IdP) for authentication.

Security
basic or X-PriceFx-jwt
Query
keepSessionboolean

Set to true to reuse an existing session and avoid unnecessary roundtrips to the IdP. When set to true, if a valid session is detected, the endpoint will directly redirect to the target page as per RelayState without performing an IdP roundtrip. If no session or an expired session is found, the endpoint will perform the IdP roundtrip as usual.

curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/saml/signon?keepSession=true'

Responses

OK - Redirects to the target page if a valid session exists.

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas